Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.jsword.versification
Enum Testament

    java.lang.Object
      java.lang.Enum<Testament>
          org.crosswire.jsword.versification.Testament

All Implemented Interfaces:
  Serializable, Comparable<Testament>

    public enum Testament

extends Enum<Testament>

Testament is either OLD or NEW. All BibleBooks belong to one or the other, even if deuterocanonical.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Enum Constant Summary
`NEW`
`OLD`

Method Summary
`static Testament` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Testament[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OLD

    public static final Testament OLD

### NEW

    public static final Testament NEW

Method Detail

### values

    public static Testament[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Testament c : Testament.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Testament valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD